<template>
    <div class="menu-list">
        
        <div class="infos" v-for="menu in menus" :key="menu.id">
            <div class="menu-name">
                {{menu.menu_name}} <span class="price float-right btn btn-success">Rp. {{toMoney(menu.price)}},-</span>
            </div>
            <div class="description">
                {{menu.description}}
            </div>
            <div class="btn btn-success" @click="add(menu)">+</div>
            <div class="btn btn-danger" @click="minus(menu)">-</div>
        </div>     
    
    </div>
</template>

<script>
    import BusEvent from '../../bus';

    export default {
        data() {
            return {
                menus : []
            }
        },
        mounted() {
            this.getAllMenus();
        },
        methods : {
            getAllMenus(){
                axios.get('/menu/all-menus').then(response => {
                    this.menus = response.data.data
                });
            },
            add(menu){
                BusEvent.$emit('add', menu)
            },
            minus(menu){
                BusEvent.$emit('minus', menu)
            },
            toMoney(num){
                return num.toString().replace(/\B(?=(\d{3})+(?!\d))/g , ".")   
            }
        }
    }
</script>

<style lang="scss">
    .infos{
        margin-top: 5px;
        .menu-name{
            font-size: 1.2rem;
        }
    }

</style>